
//取cookies函数
function getCookie(name){
  var arr = document.cookie.match(new RegExp("(^| )"+name+"=([^;]*)(;|$)"));
  if(arr != null) return unescape(arr[2]); return null;
}

//两个参数，一个是cookie的名子，一个是值
function setCookie(name,value,time){
  var cookieEnabled=(typeof navigator.cookieEnabled!='undefined' && navigator.cookieEnabled)?true:false;
  if(cookieEnabled==false){ alert('您的浏览器未开通cookie，执行失败！'); return false; }
  if(!time || isNaN(time)) time=365; //此 cookie 将被保存 365 天
  var expires=new Date();    //new Date("December 31, 9998");
  expires.setTime(expires.getTime()+time*24*60*60*1000);
  var cookieStr=escape(value);
  if(cookieStr.length>3072){ //alert('所设置的cookie数据太大，系统将自动缩减');
    cookieStr=cookieStr.substring(0,3072).replace(/[\|\s]+$/,'');
  }
  document.cookie=name+'='+cookieStr+';expires='+expires.toGMTString()+';path=/;';
}




